% LaTeX Template für die Verfasste Studierendenschaft

% Copyright © 2022 Valentin Weber
% Copyright © 2022 Justin Dretvic

% Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

% The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

% THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

\NeedsTeXFormat{LaTeX2e}

\ProvidesClass{documents_infosheet}[2022-07-05 Infoblatt LaTeX Class]

\LoadClass{documents_generic}

% ##################################################
% Überbleibsel
% ##################################################

\RequirePackage{enumitem} % remove indent in itemize
\setlist{nolistsep}

\RequirePackage{titlesec} % for reducing spaces between sections
\titlespacing*{\section}{0pt}{8pt}{8pt}
\titlespacing*{\subsection}{0pt}{8pt}{0pt} %\baselineskip
\titlespacing*{\subsubsection}{0pt}{8pt}{0pt} %\baselineskip


%Einrücken von Absätzen deaktivieren
\setlength\parindent{0pt}
\setlength\parskip{0pt}

\setlength{\tabcolsep}{5pt} % Abstand zwischen Tabellen-Spalten

\setlength{\parindent}{0pt} % \noindent für das gesamte Dokument