\NeedsTeXFormat{LaTeX2e}

\ProvidesClass{documents_formular}[2022-07-05 Protocol LaTeX Class]

\LoadClass{documents_generic}

% ##################################################
% Section
% ##################################################

\RequirePackage{titlesec}               % Anpassen der Sections

\titleformat{\section}
{\color{vstgreen}\normalfont\Large\bfseries}
{\color{vstgreen}\thesection}{1em}{}

%\renewcommand{\thesubsection}{\centering\textcolor{vstgreen}{\thesection\alph{subsection}}}
%\titleformat{\thesubsection{}}
%{\color{vstgreen}\normalfont\Large\bfseries}
%{\color{vstgreen}\thesubsection}{1em}{}

\titleformat{\subsection}
{\centering\color{vstgreen}\normalfont\bfseries} % format
{\color{vstgreen}\thesection.}  % label
{0em} % sep
{
    %\centering
    %\rule{\textwidth}{1pt}
    %\vspace{1ex}
}  % before-code
[
    \vspace{-0.5ex}%
    %\rule{\textwidth}{1pt}
] % after-code
